﻿--
-- Script was generated by Devart dbForge Studio 2019 for MySQL, Version 8.1.45.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 21/02/2020 17:29:17
-- Server version: 5.5.5-10.1.40-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS jota;

CREATE DATABASE IF NOT EXISTS jota
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE jota;

--
-- Create table `productosjota`
--
CREATE TABLE IF NOT EXISTS productosjota (
  id int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(20) DEFAULT NULL,
  foto varchar(20) DEFAULT NULL,
  descripcion varchar(100) DEFAULT NULL,
  precio int(11) DEFAULT NULL,
  oferta tinyint(1) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 6,
AVG_ROW_LENGTH = 3276,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `categorias`
--
CREATE TABLE IF NOT EXISTS categorias (
  id int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(20) DEFAULT NULL,
  foto varchar(20) DEFAULT NULL,
  descripcion varchar(100) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 5,
AVG_ROW_LENGTH = 4096,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `relacion`
--
CREATE TABLE IF NOT EXISTS relacion (
  id int(11) NOT NULL AUTO_INCREMENT,
  codcategoria int(11) DEFAULT NULL,
  codproducto int(11) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE relacion
ADD CONSTRAINT fkrelacioncategoria FOREIGN KEY (codcategoria)
REFERENCES categorias (id);

--
-- Create foreign key
--
ALTER TABLE relacion
ADD CONSTRAINT fkrelacionproductos FOREIGN KEY (codproducto)
REFERENCES productosjota (id);

-- 
-- Dumping data for table productosjota
--
INSERT INTO productosjota VALUES
(1, 'movil', 'foto1.jpg', 'Smartphone BRIGMTON BTM-11 Senior 1,77" Bluetooth FM', 30, 1),
(2, 'portatil', 'foto2111.png', 'Inspiron 17 3793', 600, 0),
(3, 'tv', 'foto3.png', 'TV LED 32" - Xiaomi Mi TV 4A, HD, Quad Core, Bluetooth, Android TV, PatchWall, Google Assistant, Chr', 500, 1),
(4, 'torre', 'foto4111.jpg', 'OptiPlex 3070 Mini Tower', 700, 0),
(5, 'tablet', 'foto51.jpg', ': MEDIAPAD T3 10 GRIS SKU: +96142', 100, 1);

-- 
-- Dumping data for table categorias
--
INSERT INTO categorias VALUES
(1, 'ordenadores', 'foto1.jpg', 'gama de ordenadores portatiles y de sobremesa'),
(2, 'televisores', 'foto2.jpg', 'gama de televisiones de ultima generación'),
(3, 'moviles', 'foto3.jpg', 'moviles de última generación'),
(4, 'tablet', 'foto4.jpg', 'tablets del 2020');

-- 
-- Dumping data for table relacion
--
-- Table jota.relacion does not contain any data (it is empty)

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;